package com.xinxincaravan.caravan.vehicle.vo;

import lombok.Data;

@Data
public class VehiclePageQueryVo {

    /**
     * 车辆编号，0-没有
     */
    private Integer code;

    /**
     * 车辆状态： 1-正常运行 2-维修 3-报废
     */
    private Integer status;

    /**
     * 车牌号，空字符串-没有
     */
    private String numberPlate;

    /**
     * 品牌（编码，对应关系见相关常量），0-未填写
     */
    private Integer brand;

    /**
     * 所属分支机构（id）
     */
    private Integer subordinateBranch;

    /**
     * 用途类型：租赁房车（1）、展车等，对应关系见车辆常量表
     */
    private Integer useType;
    /**
     * 预定目标日期(开始)
     */
    private String bookedStartDate;
    /**
     * 预定目标日期(结束)
     */
    private String bookedEndDate;

    /**
     * 未预定目标日期(开始)
     */
    private String notBookedStartDate;
    /**
     * 未预定目标日期(结束)
     */
    private String notBookedEndDate;

    private Integer pageNo;

    private Integer pageSize;

}
